import { NgModule, APP_INITIALIZER } from '@angular/core';
import { CommonModule } from '@angular/common';

import { CommonsUIModule } from '@overflow/commons/ui/commons-ui.module';


import { COMPONENTS } from './component';
import { SERVICES } from './service';

@NgModule({
  imports: [
    CommonModule,

    CommonsUIModule,
  ],
  exports: [
    ...COMPONENTS,
  ],
  declarations: [
    ...COMPONENTS,
  ],
  providers: [
    ...SERVICES,
  ]
})
export class CommonsModule { }
